
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>uclinux-2008R1-RC8(bf561)到VDSP5的移植(60):current_text_addr / iVAN</title>

    <meta name="description" content="uclinux-2008R1-RC8(bf561)到VDSP5的移植(60):current_text_addr 在include/asm/processor.h中有这样一个定义: /* * Default implementation of macro that returns current * instruction pointer (&quot;program counter&quot;). */ #define current_text_addr() ({ __label__ _l; _l: &amp;&amp;_l;}) 它的作用就是取当前PC的值,但是这行语句在VDSP下会引起一个错误: .. ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">uclinux-2008R1-RC8(bf561)到VDSP5的移植(60):current_text_addr</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在include/asm/processor.h中有这样一个定义：</p>
<p><code>/*<br />
　* Default implementation of macro that returns current<br />
　* instruction pointer ("program counter").<br />
　*/<br />
#define current_text_addr() ({ __label__ _l; _l: &amp;&amp;_l;})</code></p>
<p>它的作用就是取当前PC的值，但是这行语句在VDSP下会引起一个错误：</p>
<p><code>../../security/commoncap.c<br />
  "../../include/linux/skbuff.h", line 897: cc1454: error: taking the address<br />
of a label is not a supported feature<br />
skb_over_panic(skb, len, current_text_addr());<br />
^<br />
"../../include/linux/skbuff.h", line 922: cc1454: error: taking the address<br />
of a label is not a supported feature<br />
skb_under_panic(skb, len, current_text_addr());<br />
^<br />
2 errors detected in the compilation of "../../security/commoncap.c".<br />
cc3089: fatal error: Compilation failed<br />
Tool failed with exit/exception code: 1.<br />
Build was unsuccessful.</code></p>
<p>对其做如下修改：</p>
<p><code>static inline unsigned long current_text_addr(void)<br />
{<br />
　unsigned long pc;</p>
<p>　  __asm__ __volatile__("%0 = rets;/n/t":"=d"(pc));<br />
　return pc;<br />
}</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 23:03:54</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/label/" title="label">label</a>, <a href="https://www.iamivan.net/tag/include/" title="include">include</a>, <a href="https://www.iamivan.net/tag/error/" title="error">error</a>, <a href="https://www.iamivan.net/tag/unsigned/" title="unsigned">unsigned</a>, <a href="https://www.iamivan.net/tag/security/" title="Security">Security</a>, <a href="https://www.iamivan.net/tag/address/" title="address">address</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>uclinux-2008R1-RC8(bf561)到VDSP5的移植(60):current_text_addr的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4w6Prp.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植&lpar;62&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				uclinux-2008R1-RC8(bf561)到VDSP5的移植(62):Failed to open '#include' file 'bf561.h' 在include/asm/mach/blackfin.h文件中,有这样的语句: #include &quot;bf561.h&quot; #include &quot;mem_map.h&quot; #include &quot;defBF561.h&quot; #include &quot;anomaly.h&quot; 当在asm文件中包含这个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bal4Nwz.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植&lpar;58&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				uclinux-2008R1-RC8(bf561)到VDSP5的移植(58): unable to open an initial console blog. 碰到一个郁闷的问题,提示&quot; unable to open an initial console&quot;后再没有下文了. 搜了下这个错误出现的位置,在init_post函数中: if (sys_open((const char __user *) &quot;/dev/console&quot;, O_RDWR, 0) &lt; 0)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1R6vKp.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植&lpar;57&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				clinux-2008R1-RC8(bf561)到VDSP5的移植(57):_NSIG_WORDS_is_unsupported_size 在include/linux/signal.h中使用了一个函数_NSIG_WORDS_is_unsupported_size,其使用过程大致如下所示: static inline int sigisemptyset(sigset_t *set) { extern void _NSIG_WORDS_is_unsupported_size(void); swit			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2y6d4z.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植&lpar;43&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				uclinux-2008R1-RC8(bf561)到VDSP5的移植(43):__builtin_return_address的问题 __builtin_return_address (LEVEL):这是GCC的内建函数,用于返回当前函数或其调用者的返回地址,参数LEVEL 指定在栈上搜索框架的个数,0 表示当前函数的返回地址,1 表示当前函数的调用者的返回地址,依此类推.在VDSP中,通过FP的循环取值可以完成相似的功能(参见以前的文章&lt;使用FP取得函数的调用堆栈&gt;).查了下内核对此函数的使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6jeDz.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植&lpar;24&rpar;：CONFIG&lowbar;NR&lowbar;CPUS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				uclinux内核将bf561的每一个核都视为一个独立的CPU,因此在config.h中补上定义: // 多核支持 #define CONFIG_SMP 1 #define CONFIG_NR_CPUS 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7dEnb.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植（1）：前言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 目标 将uclinux-2008R1-RC8(bf561)移植到VDSP5上. 让uclinux支持双核. 2 原则 1.首先注释掉所有的声明和实现,但是保留#include和#define这样的语句. 2.逐步添加所需要的功能. 3.smp相关的部分参考linux-2.6.19的内核. 4.使用VDSP库.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2JvoM.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植（3）：Head&period;s</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				uclinux系统的入口点为head.s,因此先将此文件添加到corea.dlb,先改下语法错误. 1 时钟配置 因为没有使用引导程序,因此在内核启动时需要重新配置CPU的运行速度.在config.h中添加以下定义: // 时钟配置 #define CONFIG_CLKIN_HZ 27000000 // 晶振频率 #define CONFIG_VCO_MULT 22 // 内核倍频 #define CONFIG_CCLK_DIV 1 // 内核分频 #define CONFIG_SCLK_DIV			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAalnQM.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植&lpar;37&rpar;：&lowbar;cplb&lowbar;mgr</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在uclinux内核中,提供了一个函数:_cplb_mgr,此函数位于 arch/blackfin/kernel/cpu-nompu/cplbmgr.s,它的作用是当bf561发生cplb miss exception的时候替换掉最后的cache范围.在vdsp5中同样提供了一个_cplb_mgr的函数,而且VDSP在默认情况下会使用自己的库中的函数,从而造成内核错误. 因此,我们需要在config.h中增加一个定义: #define _cplb_mgr _uclinux_cplb_mgr #d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY24Dlp.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植（2）：代码注释</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				因为uclinux内核是个庞然大物,为避免一开始就遭受打击,所以就决定先将所有的代码注释掉.但是与此同时要保留各个文件之间的依赖关系,因此必须保留#include这样的语句.再考虑到uclinux是通过宏定义来控制各种功能实现的,且宏定义几乎不会对移植造成任何困扰,所以也保留了#if #define这样的语句. 以下就是自己写的一小段代码,用于实现上述功能,在VS2005下可以使用. // hprocess.cpp : 定义控制台应用程序的入口点.//#include &quot;stdafx.h&quo			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zexKxp.html" rel="bookmark" class="title">用JSP实现数据库图片的存储与显示实例</a>
					<div>
						1. 引言 数据库应用程序,特别是基于WEB的数据库应用程序,常会涉及到图片信息的存储和显示. 通常我们使用的方法是将所要显示的图片存在特定的目录下,在数据库中保存相应的图片的名称,在JSP中建立相应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqoBKz.html" rel="bookmark" class="title">社交网络设计&colon;设计更好的在线社交体验</a>
					<div>
						文章描述:社交网络设计将成为每个交互设计师专业技能建设非常重要的一部分.做好了,我们需要了解一些人类关系的基础知识.如果你的用户需求以强关系为主,你应该设计一些与以暂时性关系为主十分不同的东西.理解强 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7egXM.html" rel="bookmark" class="title">数据库设计过程中一些命名规范</a>
					<div>
						规范|过程|设计|数据|数据库|数据库设计 数据库设计过程中命名规范很是重要,命名规范合理的设计能够省去开发人员很多时间去区别数据库实体. 数据库物理设计包括:表设计,视图设计,存储过程设计,用户自定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzV2OQz.html" rel="bookmark" class="title">网站优化中关键词的重要性你知道吗？</a>
					<div>
						武汉SEO新手小浩:大家下午好,作为一名SEO初学者,我们的困扰虽很多,但是每天更新原创是必须的功课哦,今天你更新了吗?没有的赶快去哦! 那么今天咱就讲讲如何选择你的关键词吧!希望大家依然给予我最热心 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2mVrM.html" rel="bookmark" class="title">敏捷软件开发实践：概括</a>
					<div>
						应朋友之邀,我准备写一组文章关于敏捷软件开发的实践,也帮助广大没有用过Agile的或者只停留在书本内容上的朋友亲临敏捷软件开发这个惊心动魄的历程. 所谓敏捷,书本上有很多的介绍,我也不想重复发明轮子了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2gRQp.html" rel="bookmark" class="title">利用ICSharpCode压缩打包文件</a>
					<div>
						因为项目需要打包文件,就在同事的建议下用ICSharpCode写了个打包函数.ICSharpCode的介绍就不说了.具体请到官方网站 http://www.icsharpcode.net/ 上了解.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNELDxb.html" rel="bookmark" class="title">基于WEB服务器导致消息中心各组件之间无法正常工作的问题分析与解决</a>
					<div>
						消息中心产品简介产品简介 在XXX产品框架中,我们根据产品发展规划和业务领域需要,使用基于JMS技 术,通过应用WEBService,开发了消息中心中间件(简称MC).通过消息中间件 ,我们可以实现各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElN4Pz.html" rel="bookmark" class="title">Flash AS3简单制作图片变成百叶窗特效教程</a>
					<div>
						  Flash AS3简单制作图片变成百叶窗特效方法,适合初学者的教程,希望大家能练习! 图片百叶窗特效: 制作过程: 任意选择一个图片,当做本例动画中的图片,我们将使该图片达到百叶窗动画特效. 然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7Awnb.html" rel="bookmark" class="title">怎样在Word中做个人简历封面</a>
					<div>
						  怎样在Word中做个人简历封面           工具/原料 一台有Word软件的电脑(以WPS为例) 方法/步骤 打开Word软件http://www.qzjlw.com.cn 点击插入--图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7JKdb.html" rel="bookmark" class="title">2016年设计师必须掌握的微交互知识</a>
					<div>
						  如何打造一款看起来非常惊艳的应用,我想大家应该有所了解,借助有趣的故事.流畅的流程和令人难忘的视觉设计就好.但是仅有这些并不够,你需要拿出一些真正能打动用户心灵,产生情感联系的东西,让他们感受到应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2aeAb.html" rel="bookmark" class="title">ps处理曝光过度照片</a>
					<div>
						原图 最终效果 1.创建亮度/对比度调整图层,参数设置如下图. 2.创建色相饱和度调整层,参数如图,然后盖印可见图层(ctrl+alt+shift+e),使用NEAT IMAGE磨皮注意嘴的细节部分. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKNgVp.html" rel="bookmark" class="title">Javascript变量作用域详解</a>
					<div>
						         这篇文章主要是对Javascript变量作用域进行了详细的分析介绍,需要的朋友可以过来参考下,希望对大家有所帮助 变量的作用域指的是变量的可见性,而生命周期则(存活期)则是从另一个角 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oNgWb.html" rel="bookmark" class="title">excel中如何输入公式</a>
					<div>
						公式是excel强大数据处理功能的基本助手,通过使用公式,你可以轻松的实现大批量数据的快速运算,excel如何输入公式?答案很简单,参看下面的例子. 问题是:将下面样表中的数据,在A4单元格中计算总和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oY9Wb.html" rel="bookmark" class="title">降低win7系统IE8首页被修改的概率</a>
					<div>
						相信很多人都有IE首页被修改掉的烦恼,首页被改掉不止开网站的速度慢了,而且打开的还不是我们想要的.正常情况下我们是把我们最经常用的网站设为首页.如果被改掉肯定很烦恼.如果你的首页还没被修改掉,那么小编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o2gWb.html" rel="bookmark" class="title">Lightroom简单几步 把风光烂片变时尚大片</a>
					<div>
						大家在拍摄城市风光片的时候,常常会发现相机拍出来的照片和网上美丽的风光图相差甚远,即使在相似的地点和相似的光线,用着同样的摄影参数,这个时候,就要想想是不是后期的不同了,相机的原片出来,颜色不分明,没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdlawM.html" rel="bookmark" class="title">Hadoop生态圈以及各组成部分的简介</a>
					<div>
						1.Hadoop是什么? 适合大数据的分布式存储与计算平台 HDFS: Hadoop Distributed File System分布式文件系统 MapReduce:并行计算框架 2.Hadoop生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYaNjM.html" rel="bookmark" class="title">c&plus;&plus;-sqlite3     database   is  locked问题</a>
					<div>
						问题描述 sqlite3 database is locked问题 sqlite3的c++ API接口使用好好的,就是重复调用sqlite3_prepare()会出现死锁问题,我自己写了个操作sqli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq863ab.html" rel="bookmark" class="title">使用Ajax局部更新Razor页面的实例代码</a>
					<div>
						Razor功能非常强大,但是本身并不能做到无刷新,所以需要配合ajax使用 本文就做一个简单例子,实现Razor配合ajax做到局部刷新. 首先,我们创建一个MVC项目 让我们创建一个简单的Contr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NdRWz.html" rel="bookmark" class="title">在JAVA中解决Zip压缩乱码问题</a>
					<div>
						Java自带的zip压缩工具,可以让我们方便的压缩与解压缩,但是就是默认编码UTF-8没法改(至少我没找到,如果谁找到了,别忘记告诉我,我也不想用第三方的Jar包),虽然使用Java写打压缩与解压缩没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoKoOb.html" rel="bookmark" class="title">ssh&plus;dwz-DWZ框架分页属性重名，导致父页面刷新报错！在线等！急~~~</a>
					<div>
						问题描述 DWZ框架分页属性重名,导致父页面刷新报错!在线等!急~~~ SSH+DWZ 依次操作或点击完选项卡2和选项卡3,再(手动或程序)刷新父页面&quot;修改&quot;会出现图1错误,屏蔽选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1LyKz.html" rel="bookmark" class="title">空气检测硬碰硬，你吸的霾有多浓？</a>
					<div>
						 帝都的霾有多浓,打从美帝大使馆开始每日播报北京PM2.5指数后,我们都知道.霸特,我们身边室内时时刻刻分分秒秒都在呼吸的空气质量如何呢?于是从去年开始,一大波用于室内空气检测的产品应运而生了. 宅客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEVOkM.html" rel="bookmark" class="title">郑州经济技术开发区企业服务年&OpenCurlyDoubleQuote;活动工作方案&quot;</a>
					<div>
						为深入贯彻中央.省.市经济工作会议精神,进一步优化经济发展环境,更好地服务企业,支持和促进企业做大做强,保持我区经济平稳较快增长,特制定本方案. 一.指导思想 以科学发展观为指导,以&quot;扩内需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwdkBM.html" rel="bookmark" class="title">探讨FREETEXTBOX的问题&period;</a>
					<div>
						问题描述 今天在项目中用到FREETEXTBOX.当我想在JS文件中对其进行赋值的时候,发现并不是想的那么简单.用document.getElementById(&quot;FREETEXTBOX的I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg83dM.html" rel="bookmark" class="title">移动互联网推动电子地图发展</a>
					<div>
						随着3G技术的迅猛发展及移动通信设备功能的不断增强,手机已经不仅限于满足用户随时随地的语音业务.短信业务,也在各种移动增值位置服务(LocationBasedService,LBS)业务中显现出其巨大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodkYgM.html" rel="bookmark" class="title">Oracle12&period;2 多租户环境下的授权管理</a>
					<div>
						题记:在多租户环境中,权限可以全局授予整个CDB,一个应用容器数据库(application container),或者单个的PDB.在多租户环境下,往往牵一发而动全身,因此合理授权就显得格外重要.通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkA37rb.html" rel="bookmark" class="title">2017年数据科学发展中值得一入的坑</a>
					<div>
						在机器学习这一领域研究中,继谷歌和Facebook之后越来越多的公司加入了对于最优秀的机器学习专家和数据科学家的竞争之中.与此同时,我们也看到了物联网和数据科学的结合.未来一年,数据科学的的发展趋势是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJZPmp.html" rel="bookmark" class="title">NVIDIA&lpar;英伟达&rpar;与蚁视战略合作 全面支持蚁视软硬件产品</a>
					<div>
						4月6日,由NVIDIA(英伟达)举办的开发者大会(GTC)在美国硅谷拉开帷幕,作为图形计算领域的专业盛会,虚拟现实再次成为本次大会的焦点.Oculus.HTC.蚁视到场参加. 会上,英伟达业务副总裁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N2rVb.html" rel="bookmark" class="title">JShot 2&period;1发布 屏幕捕获和上传工具</a>
					<div>
						JShot 2.1此版本包含改进和错误的修正. JShot是一款免费多平台的屏幕捕获和上传工具,允许你捕获和注释屏幕的一部分,并通过互联网中的一个步骤来分享.它可以截图上传到Web或用即时通讯发送.J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44GEPz.html" rel="bookmark" class="title">当杜绝官网&OpenCurlyDoubleQuote;尽快处理&rdquo;式的&OpenCurlyDoubleQuote;糊弄&rdquo;</a>
					<div>
						据1月7日&lt;河南商报&gt;报道,600多封内容各异的民众来信,河南省周口市沈丘县政府官网的回复全是&quot;您好,我们会尽快为您处理的&quot;.对此,沈丘县委宣传部相关工作人员称,出现此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44jNYz.html" rel="bookmark" class="title">网络安全问题&amp;amp&semi;amp&semi;amp&semi;lt&semi;script&amp;amp&semi;amp&semi;amp&semi;gt&semi;alert&lpar;111&rpar;&amp;amp&semi;amp&semi;amp&semi;lt&semi;&sol;script&amp;amp&semi;amp&semi;amp&semi;gt&semi;问题</a>
					<div>
						问题描述 网络安全问题&lt;script&gt;alert(111)&lt;/script&gt;问题 这是个&lt;script&gt;alert(111)&lt;/script&gt;&lt;网 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
